Bug 1474311 - [RFE] add "elapsed time" column to task page for tasks
Summary: [RFE] add "elapsed time" column to task page for tasks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Tasks Plugin
Version: 6.2.10
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: 6.7.0
Assignee: Vladimír Sedmík
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-24 11:57 UTC by Chris Duryee
Modified: 2020-06-22 18:20 UTC (History)
14 users (show)

Fixed In Version: tfm-rubygem-foreman-tasks-0.17.5
Doc Type: Enhancement
Doc Text:
For improved task management and monitoring, a number of web UI enhancements have been added to the *Monitor* > *Tasks* window in the Satellite web UI. To help identify and track potential issues with long-running tasks, a *Duration* column has been added (https://bugzilla.redhat.com/show_bug.cgi?id=1474311[BZ#1474311]). Buttons have been added to allow for bulk cancelling or resuming of tasks (https://bugzilla.redhat.com/show_bug.cgi?id=1269673[BZ#1269673], https://bugzilla.redhat.com/show_bug.cgi?id=1777908[BZ#1777908]).
Clone Of:
Environment:
Last Closed: 2020-04-14 13:22:16 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 27905 Normal Closed Add duration column to the tasks table 2020-07-13 09:27:19 UTC
Foreman Issue Tracker 28485 Normal Closed Cannot sort tasks by duration 2020-07-13 09:27:19 UTC
Red Hat Product Errata RHSA-2020:1454 None None None 2020-04-14 13:22:44 UTC

Description Chris Duryee 2017-07-24 11:57:52 UTC
Description of problem:

When debugging issues, it's helpful to find tasks that take a long time to run. The following would be very useful:

* a sortable/searchable 'elapsed time' column on the '/foreman_tasks/tasks' page, that subtracts the start time from end time if it exists, and start time from current time if there's no end time.

* 'elapsed time' on the task export (not sure if this one is sortable, but just having the info there is helpful)


Version-Release number of selected component (if applicable): 6.2.10

Comment 1 Adam Ruzicka 2017-08-22 11:01:29 UTC
Created redmine issue http://projects.theforeman.org/issues/20690 from this bug

Comment 2 Bryan Kearney 2019-02-07 12:09:13 UTC
The Satellite Team is attempting to provide an accurate backlog of bugzilla requests which we feel will be resolved in the next few releases. We do not believe this bugzilla will meet that criteria, and have plans to close it out in 1 month. This is not a reflection on the validity of the request, but a reflection of the many priorities for the product. If you have any concerns about this, feel free to contact Red Hat Technical Support or your account team. If we do not hear from you, we will close this bug out. Thank you.

Comment 3 Bryan Kearney 2019-02-28 19:34:51 UTC
Thank you for your interest in Satellite 6. We have evaluated this request, and while we recognize that it is a valid request, we do not expect this to be implemented in the product in the foreseeable future. This is due to other priorities for the product, and not a reflection on the request itself. We are therefore closing this out as WONTFIX. If you have any concerns about this, please do not reopen. Instead, feel free to contact Red Hat Technical Support. Thank you.

Comment 5 Peter Vreman 2019-11-04 16:36:46 UTC
The BZ https://bugzilla.redhat.com/show_bug.cgi?id=1153555 requests the same feature and had an additional request for colorization of long runnigns to make it even more user friendly to identifiy long runners.

Comment 6 Adam Ruzicka 2019-11-28 11:50:53 UTC
Linking this BZ to the correct upstream issue and moving to POST.

Comment 7 orabin 2019-12-09 16:09:28 UTC
This was fixed in tfm-rubygem-foreman-tasks-0.17.1 which is in 6.7

Comment 13 Avi Sharvit 2020-01-08 10:28:49 UTC
Not sure what exactly snap7 contains, maybe Adam can bring more insight?

Comment 15 Vladimír Sedmík 2020-01-08 13:27:40 UTC
Verified on Sat 6.7 snap 7 (foreman-tasks-0.17.5)

Created new BZ based on comment 8 and comment 11: https://bugzilla.redhat.com/show_bug.cgi?id=1788958

Comment 20 errata-xmlrpc 2020-04-14 13:22:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:1454


Note You need to log in before you can comment on or make changes to this bug.